﻿@model List<Streaming>
@{
    @using twitch.api;
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    
    <form asp-area="" asp-action="createStream" asp-controller="Twitcher" method="get">
        <h1 class="display-4">
            <button class="btn btn-primary" type="submit">Créer un nouveau stream</button>
        </h1>
    </form>
</div>
<h2 class="text-center mt-5 mb-3">Tableau des streams</h2>
<table class="table">
    <thead>
        <tr>
            <th scope="col">Date et heure du stream</th>
            <th scope="col">Titre</th>
            <th scope="col">statut</th>
            <th scope="col"></th>
        </tr>
    </thead>
    <tbody>

        @foreach(var item in this.Model)
        {
            <tr>
                <td>@item.StartTime.Value.ToString("dd / MM yyyy HH:mm:ss")</td>
                <td>@item.Title</td>
                @switch (item.Status)
                {
                    case StatutStream.EnCours:
                    <td>en cours</td>
                    break;
                    case StatutStream.AVenir:
                    <td>à venir</td>
                    break;
                    case StatutStream.Fini:
                    <td>fini</td>
                    break;
                }
                <td>
                    @if (item.Status != StatutStream.Fini)
                    {
                        <a class="btn btn-danger" asp-area="" asp-action="editStream" asp-controller="Twitcher" asp-route-id="@item.Id">Editer</a>
                    }
                </td>
            </tr>
        }
    </tbody>
</table>